
Redmine - Patch #4368

rdm-mailhandler.rb should provide feedback to the MTA, rather than failing silently

2009-12-09 09:52 - Peter Fern

Status: Closed Start date: 2009-12-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 0.9.0   

Description

This patch causes the script to return an exit code to the spawning process, adds a message about invalid email addresses

(response.code == 422), returns 77 (EX_NOPERM) for 400..499, returns 75 (EX_TEMPFAIL) for 500..599, and returns 1 for all other

errors.

I'm not sure if EX_TEMPFAIL is the right thing to do for 5xx errors (or at least for all 5xx errors), but it seemed like a good idea as

these are usually transient.

Associated revisions

Revision 3143 - 2009-12-09 11:44 - Jean-Philippe Lang

Improve rdm-mailhandler exit status (#4368).

History

#1 - 2009-12-09 10:23 - Jean-Philippe Lang

Is there a particular meaning for the return codes 77 and 75 ?

#2 - 2009-12-09 10:41 - Peter Fern

Jean-Philippe Lang wrote:

Is there a particular meaning for the return codes 77 and 75 ?

 Indeed, they come from sysexits.h, and are used by many MTAs to decide what action is to be taken for processing handler errors returning these

codes.  The textual representations are fairly self-explanatory, and the actions taken vary depending on MTA and configuration, however for clarity,

an excerpt from sysexits.h:

#define EX_TEMPFAIL 75  /* temp failure; user is invited to retry /

#define EX_NOPERM   77  / permission denied */

So, 75 generally results in the email being re-queued for a later delivery attempt (often there is a re-queue limit, and the mail will eventually bounce),

and 77 generally results in emails being bounced immediately with an error description (permission denied).

#3 - 2009-12-09 11:39 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

Patch committed in r3143 with small changes to the messages and 403 response code fixed (was 443 in your patch).

Thanks.

#4 - 2009-12-09 12:07 - Peter Fern

Whoops, thanks for catching that, and for the commit.

Files

rdm-mailhandler_exitcode.patch 1.55 KB 2009-12-09 Peter Fern

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/3143
http://www.tcpdf.org

